package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * Dot1xEapInfoOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class Dot1xEapInfoOpenApiVo   {
  @JsonProperty("name")
  private String name;

  @JsonProperty("mac")
  private String mac;

  @JsonProperty("model")
  private String model;

  @JsonProperty("version")
  private String version;

  @JsonProperty("status")
  private String status;

  @JsonProperty("statusCategory")
  private Integer statusCategory;

  @JsonProperty("ports")
  @Valid
  private List<Dot1xEapPortInfoOpenApiVo> ports = null;

  public Dot1xEapInfoOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * EAP name
   * @return name
  */
  @ApiModelProperty(value = "EAP name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Dot1xEapInfoOpenApiVo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * EAP MAC address
   * @return mac
  */
  @ApiModelProperty(value = "EAP MAC address")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public Dot1xEapInfoOpenApiVo model(String model) {
    this.model = model;
    return this;
  }

  /**
   * EAP model
   * @return model
  */
  @ApiModelProperty(value = "EAP model")


  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }

  public Dot1xEapInfoOpenApiVo version(String version) {
    this.version = version;
    return this;
  }

  /**
   * EAP firmwareVersion
   * @return version
  */
  @ApiModelProperty(value = "EAP firmwareVersion")


  public String getVersion() {
    return version;
  }

  public void setVersion(String version) {
    this.version = version;
  }

  public Dot1xEapInfoOpenApiVo status(String status) {
    this.status = status;
    return this;
  }

  /**
   * Device status
   * @return status
  */
  @ApiModelProperty(value = "Device status")


  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public Dot1xEapInfoOpenApiVo statusCategory(Integer statusCategory) {
    this.statusCategory = statusCategory;
    return this;
  }

  /**
   * Device status category, 0: Disconnected, 1: Connected, 2: Pending,3: Heartbeat Missed, 4: Isolated
   * @return statusCategory
  */
  @ApiModelProperty(value = "Device status category, 0: Disconnected, 1: Connected, 2: Pending,3: Heartbeat Missed, 4: Isolated")


  public Integer getStatusCategory() {
    return statusCategory;
  }

  public void setStatusCategory(Integer statusCategory) {
    this.statusCategory = statusCategory;
  }

  public Dot1xEapInfoOpenApiVo ports(List<Dot1xEapPortInfoOpenApiVo> ports) {
    this.ports = ports;
    return this;
  }

  public Dot1xEapInfoOpenApiVo addPortsItem(Dot1xEapPortInfoOpenApiVo portsItem) {
    if (this.ports == null) {
      this.ports = new ArrayList<>();
    }
    this.ports.add(portsItem);
    return this;
  }

  /**
   * EAP port information
   * @return ports
  */
  @ApiModelProperty(value = "EAP port information")

  @Valid

  public List<Dot1xEapPortInfoOpenApiVo> getPorts() {
    return ports;
  }

  public void setPorts(List<Dot1xEapPortInfoOpenApiVo> ports) {
    this.ports = ports;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Dot1xEapInfoOpenApiVo dot1xEapInfoOpenApiVo = (Dot1xEapInfoOpenApiVo) o;
    return Objects.equals(this.name, dot1xEapInfoOpenApiVo.name) &&
        Objects.equals(this.mac, dot1xEapInfoOpenApiVo.mac) &&
        Objects.equals(this.model, dot1xEapInfoOpenApiVo.model) &&
        Objects.equals(this.version, dot1xEapInfoOpenApiVo.version) &&
        Objects.equals(this.status, dot1xEapInfoOpenApiVo.status) &&
        Objects.equals(this.statusCategory, dot1xEapInfoOpenApiVo.statusCategory) &&
        Objects.equals(this.ports, dot1xEapInfoOpenApiVo.ports);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, mac, model, version, status, statusCategory, ports);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Dot1xEapInfoOpenApiVo {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("    version: ").append(toIndentedString(version)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    statusCategory: ").append(toIndentedString(statusCategory)).append("\n");
    sb.append("    ports: ").append(toIndentedString(ports)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

